## r-cran-huge 1.3.4

=== DESCRIPTION ===
Package: huge
Type: Package
Title: High-Dimensional Undirected Graph Estimation
Version: 1.3.4
Author: Haoming Jiang, Xinyu Fei, Han Liu, Kathryn Roeder, John Lafferty, Larry
        Wasserman,  Xingguo Li, and Tuo Zhao
Maintainer: Haoming Jiang <jianghm.ustc@gmail.com>
Depends: R (>= 3.0.0)
Imports: Matrix, igraph, MASS, grDevices, graphics, methods, stats,
        utils, Rcpp
LinkingTo: Rcpp, RcppEigen
Description: Provides a general framework for
        high-dimensional undirected graph estimation. It integrates
        data preprocessing, neighborhood screening, graph estimation,
        and model selection techniques into a pipeline. In
        preprocessing stage, the nonparanormal(npn) transformation is
        applied to help relax the normality assumption. In the graph
        estimation stage, the graph structure is estimated by
        Meinshausen-Buhlmann graph estimation or the graphical lasso,
        and both methods can be further accelerated by the lossy
        screening rule preselecting the neighborhood of each variable
        by correlation thresholding. We target on high-dimensional data
        analysis usually d >> n, and the computation is
        memory-optimized using the sparse matrix output. We also
        provide a computationally efficient approach, correlation
        thresholding graph estimation. Three
        regularization/thresholding parameter selection methods are
        included in this package: (1)stability approach for
        regularization selection (2) rotation information criterion (3)
        extended Bayesian information criterion which is only available
        for the graphical lasso.
License: GPL-2
Repository: CRAN
NeedsCompilation: yes
RoxygenNote: 6.1.1
Encoding: UTF-8
Packaged: 2019-10-28 14:40:59 UTC; haoming
Date/Publication: 2019-10-28 15:10:03 UTC

=== debian/changelog ===
r-cran-huge (1.3.4-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 19:17:21 +0100

r-cran-huge (1.3.4-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.4.1
  * Trim trailing whitespace.

 -- Andreas Tille <tille@debian.org>  Mon, 11 Nov 2019 07:44:33 +0100

r-cran-huge (1.3.3-1) unstable; urgency=medium

  * Initial release (closes: #940597)

 -- Andreas Tille <tille@debian.org>  Tue, 17 Sep 2019 18:22:25 +0200

=== debian/control ===
Source: r-cran-huge
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>,
           Joost van Baal-Ilić <joostvb@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-r,
               r-base-dev,
               r-cran-matrix,
               r-cran-igraph,
               r-cran-mass,
               r-cran-rcpp,
               r-cran-rcppeigen
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-huge
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-huge.git
Homepage: https://cran.r-project.org/package=huge

Package: r-cran-huge
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R high-dimensional undirected graph estimation
 Provides a general framework for high-dimensional undirected graph
 estimation. It integrates data preprocessing, neighborhood screening,
 graph estimation, and model selection techniques into a pipeline. In
 preprocessing stage, the nonparanormal(npn) transformation is applied to
 help relax the normality assumption. In the graph estimation stage, the
 graph structure is estimated by Meinshausen-Buhlmann graph estimation or
 the graphical lasso, and both methods can be further accelerated by the
 lossy screening rule preselecting the neighborhood of each variable by
 correlation thresholding.

## r-cran-huge 1.3.4.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: huge
 Type: Package
 Title: High-Dimensional Undirected Graph Estimation
-Version: 1.3.4
+Version: 1.3.4.1
 Author: Haoming Jiang, Xinyu Fei, Han Liu, Kathryn Roeder, John Lafferty, Larry
         Wasserman,  Xingguo Li, and Tuo Zhao
 Maintainer: Haoming Jiang <jianghm.ustc@gmail.com>
@@ -34,5 +34,5 @@
 NeedsCompilation: yes
 RoxygenNote: 6.1.1
 Encoding: UTF-8
-Packaged: 2019-10-28 14:40:59 UTC; haoming
-Date/Publication: 2019-10-28 15:10:03 UTC
+Packaged: 2020-03-30 12:06:18 UTC; hornik
+Date/Publication: 2020-04-01 05:40:25 UTC

=== debian/changelog ===
r-cran-huge (1.3.4.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Sat, 04 Apr 2020 08:54:11 +0200

=== debian/control ===
--- 
+++ 
@@ -13,10 +13,11 @@
                r-cran-mass,
                r-cran-rcpp,
                r-cran-rcppeigen
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-huge
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-huge.git
 Homepage: https://cran.r-project.org/package=huge
+Rules-Requires-Root: no
 
 Package: r-cran-huge
 Architecture: any

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/huge_([-\d.]*)\.tar\.gz

## r-cran-huge 1.3.5

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: huge
 Type: Package
 Title: High-Dimensional Undirected Graph Estimation
-Version: 1.3.4.1
+Version: 1.3.5
 Author: Haoming Jiang, Xinyu Fei, Han Liu, Kathryn Roeder, John Lafferty, Larry
         Wasserman,  Xingguo Li, and Tuo Zhao
 Maintainer: Haoming Jiang <jianghm.ustc@gmail.com>
@@ -32,7 +32,7 @@
 License: GPL-2
 Repository: CRAN
 NeedsCompilation: yes
-RoxygenNote: 6.1.1
+RoxygenNote: 7.1.1
 Encoding: UTF-8
-Packaged: 2020-03-30 12:06:18 UTC; hornik
-Date/Publication: 2020-04-01 05:40:25 UTC
+Packaged: 2021-06-30 19:55:18 UTC; jhaoming
+Date/Publication: 2021-06-30 20:20:02 UTC

=== debian/changelog ===
r-cran-huge (1.3.5-2) unstable; urgency=medium

  * Packaging update
  * Standards-Version: 4.7.0 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * d/control: remove my name from Uploaders.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Thu, 18 Apr 2024 14:58:32 +0000

r-cran-huge (1.3.5-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 20 Sep 2021 13:27:51 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,14 @@
 Source: r-cran-huge
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
-Uploaders: Andreas Tille <tille@debian.org>,
-           Joost van Baal-Ilić <joostvb@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Uploaders: Andreas Tille <tille@debian.org>
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-huge
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-huge.git
+Homepage: https://cran.r-project.org/package=huge
+Standards-Version: 4.7.0
+Rules-Requires-Root: no
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-matrix,
@@ -13,11 +16,7 @@
                r-cran-mass,
                r-cran-rcpp,
                r-cran-rcppeigen
-Standards-Version: 4.5.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-huge
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-huge.git
-Homepage: https://cran.r-project.org/package=huge
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-huge
 Architecture: any

## r-cran-huge 1.4

=== DESCRIPTION ===
--- 
+++ 
@@ -1,10 +1,18 @@
 Package: huge
 Type: Package
 Title: High-Dimensional Undirected Graph Estimation
-Version: 1.3.5
-Author: Haoming Jiang, Xinyu Fei, Han Liu, Kathryn Roeder, John Lafferty, Larry
-        Wasserman,  Xingguo Li, and Tuo Zhao
-Maintainer: Haoming Jiang <jianghm.ustc@gmail.com>
+Version: 1.4
+Authors@R: c(
+    person("Haoming", "Jiang", role = "aut"),
+    person("Xinyu", "Fei", role = "aut"),
+    person("Han", "Liu", role = "aut"),
+    person("Kathryn", "Roeder", role = "aut"),
+    person("John", "Lafferty", role = "aut"),
+    person("Larry", "Wasserman", role = "aut"),
+    person("Xingguo", "Li", role = "aut"),
+    person("Tuo", "Zhao", role = c("aut", "cre"), email = "tourzhao@gatech.edu")
+  )
+Maintainer: Tuo Zhao <tourzhao@gatech.edu>
 Depends: R (>= 3.0.0)
 Imports: Matrix, igraph, MASS, grDevices, graphics, methods, stats,
         utils, Rcpp
@@ -32,7 +40,15 @@
 License: GPL-2
 Repository: CRAN
 NeedsCompilation: yes
-RoxygenNote: 7.1.1
+RoxygenNote: 7.1.2
 Encoding: UTF-8
-Packaged: 2021-06-30 19:55:18 UTC; jhaoming
-Date/Publication: 2021-06-30 20:20:02 UTC
+Packaged: 2026-02-18 18:00:54 UTC; tourzhao
+Author: Haoming Jiang [aut],
+  Xinyu Fei [aut],
+  Han Liu [aut],
+  Kathryn Roeder [aut],
+  John Lafferty [aut],
+  Larry Wasserman [aut],
+  Xingguo Li [aut],
+  Tuo Zhao [aut, cre]
+Date/Publication: 2026-02-19 08:50:02 UTC

=== debian/changelog ===
r-cran-huge (1.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)

 -- Charles Plessy <plessy@debian.org>  Mon, 23 Feb 2026 14:06:01 +0900

=== debian/control ===
Source: r-cran-huge
Standards-Version: 4.7.3
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders:
 Andreas Tille <tille@debian.org>,
 Joost van Baal-Ilić <joostvb@debian.org>,
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Build-Depends:
 debhelper-compat (= 13),
 dh-r,
 r-base-dev,
 r-cran-matrix,
 r-cran-igraph,
 r-cran-mass,
 r-cran-rcpp,
 r-cran-rcppeigen,
 architecture-is-64-bit,
 architecture-is-little-endian,
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-huge
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-huge.git
Homepage: https://cran.r-project.org/package=huge
Rules-Requires-Root: no

Package: r-cran-huge
Architecture: any
Depends:
 ${R:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
Recommends:
 ${R:Recommends},
Suggests:
 ${R:Suggests},
Description: GNU R high-dimensional undirected graph estimation
 Provides a general framework for high-dimensional undirected graph
 estimation. It integrates data preprocessing, neighborhood screening,
 graph estimation, and model selection techniques into a pipeline. In
 preprocessing stage, the nonparanormal(npn) transformation is applied to
 help relax the normality assumption. In the graph estimation stage, the
 graph structure is estimated by Meinshausen-Buhlmann graph estimation or
 the graphical lasso, and both methods can be further accelerated by the
 lossy screening rule preselecting the neighborhood of each variable by
 correlation thresholding.
